> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autosnap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Similar Vehicles

> Find vehicles similar to a given vehicle by VIN.



## OpenAPI

````yaml GET /v2/vehicles/vin/{vin}/similar
openapi: 3.0.3
info:
  title: AutosnapAI Origin API
  description: Dealer resolution, inventory management, and webhook APIs
  version: 1.0.0
servers:
  - url: https://api.autosnap.com
    description: Production
security: []
paths:
  /v2/vehicles/vin/{vin}/similar:
    get:
      tags:
        - search
      summary: Find Similar By Vin
      description: Find vehicles similar to a given vehicle by VIN.
      operationId: find_similar_by_vin_v2_vehicles_vin__vin__similar_get
      parameters:
        - name: vin
          in: path
          required: true
          schema:
            type: string
            title: Vin
        - name: api_key
          in: query
          required: true
          schema:
            type: string
            title: Api Key
        - name: dealership_id
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            title: Dealership Id
        - name: cross_dealer
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Cross Dealer
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 5
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````